summaryrefslogtreecommitdiff
path: root/qa/141
diff options
context:
space:
mode:
Diffstat (limited to 'qa/141')
-rwxr-xr-xqa/14136
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/141 b/qa/141
new file mode 100755
index 0000000..9a0cb30
--- /dev/null
+++ b/qa/141
@@ -0,0 +1,36 @@
+#!/bin/sh
+# PCP QA Test No. 141
+# pmNewContext and archive and fullpathname bug
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+echo "=== bar bar ==="
+cd src
+./badloglabel bar bar
+
+echo
+echo "=== bar ./bar ==="
+./badloglabel bar ./bar
+
+echo
+echo "=== ./bar ./bar ==="
+./badloglabel ./bar ./bar
+
+echo
+echo "=== bar ...fullpath.../bar ==="
+./badloglabel bar `pwd`/bar
+
+echo
+echo "=== ...fullpath.../bar ...fullpath.../bar ==="
+./badloglabel `pwd`/bar `pwd`/bar